View Issue Details

IDProjectCategoryView StatusLast Update
0003373Ham Radio DeluxeMaintenancepublic2019-08-07 02:40
ReporterPD9FERAssigned ToPD9FER 
PrioritynormalSeveritytweakReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.6.0.237 
Summary0003373: Add code to remove Leading and Trailing spaces in License Manager
DescriptionWhen copying the License Key, sometimes it wont get recognized.
Turns out the customer copied a Space along with the key.
Requesting Code to be add removing spaces.
Steps To ReproduceCopy Key with a leading space
Paste into license manager and try to activate
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing Beta Successful

Activities

WA9PIE

2019-07-14 14:43

administrator   ~0008234

I have also seen people who have extra spaces inside their key.

It should basically accept only ABCDEFGHIJKLMNOPQRSTUVWXYZ-abcdefghijklmnopqrstuvwxyz0123456789 and ignore (trim/remove) everything else.

DOUG

2019-07-14 18:48

developer   ~0008235

Trim commands added to both the call sign and key. This happens at the point you hit activate (so you will not see them trimmed before the activate).

DOUG

2019-07-14 20:28

developer   ~0008237

added trim, and generated new 6.6 build

Sending back to be tested

KB3NPH

2019-07-15 12:00

administrator   ~0008239

Installed 6.6.237 to overwrite V6.6.0.236 on a system where the activation key failed when it had leading and trailing spaces. With Leading and trailing spaces in the activation key when pasted in V6.6.237, HRD activated and opened correctly with no issues. Double checked it opening by closing down and restarting. No problems with build 237.

WA9PIE

2019-07-15 12:05

administrator   ~0008240

Validated by Tim.

Issue History

Date Modified Username Field Change
2019-07-03 09:48 PD9FER New Issue
2019-07-11 15:00 KB3NPH Assigned To => DOUG
2019-07-11 15:00 KB3NPH Status new => assigned
2019-07-14 14:43 WA9PIE Note Added: 0008234
2019-07-14 18:48 DOUG Note Added: 0008235
2019-07-14 20:28 DOUG Assigned To DOUG => PD9FER
2019-07-14 20:28 DOUG Status assigned => resolved
2019-07-14 20:28 DOUG Resolution open => fixed
2019-07-14 20:28 DOUG Note Added: 0008237
2019-07-15 12:00 KB3NPH Note Added: 0008239
2019-07-15 12:05 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-07-15 12:05 WA9PIE Status resolved => closed
2019-07-15 12:05 WA9PIE Fixed in Version => 6.6.0.237
2019-07-15 12:05 WA9PIE Testing Not Started => Beta Successful
2019-07-15 12:05 WA9PIE Note Added: 0008240
2019-08-07 02:40 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe